### Hierarchy

- ONT

## Index

### Constructors

- constructor

### Properties

- AbiFunction
- AbiInfo
- Account
- CONST
- Claim
- Crypto
- DDO
- DDOAttribute
- Identity
- OntAssetTxBuilder
- OntidContract
- Parameter
- ParameterType
- RestClient
- RpcClient
- SDK
- ScriptBuilder
- Struct
- Token
- Transaction
- TransactionBuilder
- TxSignature
- Wallet
- WebsocketClient
- scrypt
- utils

### Methods

- setNode
- setRestPort
- setRpcPort
- setSocketPort

## Constructors

### constructor

- new ONT(): ONT

- - Defined in index.ts:70

  #### Returns ONT

## Properties

### AbiFunction

AbiFunction: any

- Defined in index.ts:56

### AbiInfo

AbiInfo: any

- Defined in index.ts:57

### Account

Account: any

- Defined in index.ts:45

### CONST

CONST: any

- Defined in index.ts:60

### Claim

Claim: any

- Defined in index.ts:47

### Crypto

Crypto: any

- Defined in index.ts:68

### DDO

DDO: any

- Defined in index.ts:48

### DDOAttribute

DDOAttribute: any

- Defined in index.ts:49

### Identity

Identity: any

- Defined in index.ts:46

### OntAssetTxBuilder

OntAssetTxBuilder: any

- Defined in index.ts:53

### OntidContract

OntidContract: any

- Defined in index.ts:64

### Parameter

Parameter: any

- Defined in index.ts:54

### ParameterType

ParameterType: any

- Defined in index.ts:55

### RestClient

RestClient: any

- Defined in index.ts:65

### RpcClient

RpcClient: any

- Defined in index.ts:66

### SDK

SDK: any

- Defined in index.ts:62

### ScriptBuilder

ScriptBuilder: any

- Defined in index.ts:70

### Struct

Struct: any

- Defined in index.ts:69

### Token

Token: any

- Defined in index.ts:63

### Transaction

Transaction: any

- Defined in index.ts:50

### TransactionBuilder

TransactionBuilder: any

- Defined in index.ts:52

### TxSignature

TxSignature: any

- Defined in index.ts:51

### Wallet

Wallet: any

- Defined in index.ts:61

### WebsocketClient

WebsocketClient: any

- Defined in index.ts:67

### scrypt

scrypt: any

- Defined in index.ts:59

### utils

utils: any

- Defined in index.ts:58

## Methods

### setNode

- setNode(url: string): void

- - Defined in index.ts:100

  #### Parameters

  - ##### url: string

  #### Returns void

### setRestPort

- setRestPort(port: string): void

- - Defined in index.ts:108

  #### Parameters

  - ##### port: string

  #### Returns void

### setRpcPort

- setRpcPort(port: string): void

- - Defined in index.ts:104

  #### Parameters

  - ##### port: string

  #### Returns void

### setSocketPort

- setSocketPort(port: string): void

- - Defined in index.ts:112

  #### Parameters

  - ##### port: string

  #### Returns void

Generated using TypeDoc